%define ver     2.1.1
# update gccver here and GCCVER in Makefile
%define gccver	3.3.4

Summary: LSB Build environment interim lsbc++ package
Name: lsb-build-c++
Version: %ver
Release: 1
Copyright: LGPL
Group: Development/Tools
Source: lsb-build-c++-%ver.tar.gz
Source1: gcc-core-%gccver.tar.bz2
Source2: gcc-g++-%gccver.tar.bz2
Patch0: gcc-locale.patch
BuildRoot: /var/tmp/lsb-build-c++-root
AutoReqProv: no
# Does not strictly require lsb
#PreReq: lsb-core-%{_arch} >= 2.0
Requires: lsb-build-base
Obsoletes: lsbdev-c++
BuildRequires: lsb-build-base lsb-build-cc

%description
This package provides interim C++ building support for the
lsb-build packages.  It adds C++ headers and LSB-conforming
builds of the static C++ libraries to the files installed
by lsb-build-base. 

%prep
%setup -q
tar xjf %{SOURCE1}
tar xjf %{SOURCE2}
%patch

%build
(cd gcc-%gccver/libstdc++-v3 ; \
	CC=/opt/lsb/bin/lsbcc CXX=/opt/lsb/bin/lsbc++ ./configure \
	--prefix=/opt/lsb --enable-threads=posix \
	--with-gxx-include-dir=/opt/lsb/include/c++ \
	--enable-clocale=gnu \
	--enable-symvers=gnu --disable-shared)

%install
rm -rf $RPM_BUILD_ROOT
(cd gcc=%gccver/libstdc++-v3/libsupc++; make install DESTDIR=$RPM_BUILD_ROOT)
(cd gcc-%gccver/libstdc++-v3/include; make; make install DESTDIR=$RPM_BUILD_ROOT)
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-c++
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-c++
# The target-specific headers need to be moved because
# gcc on the host won't have the same path as this
(cd $RPM_BUILD_ROOT/opt/lsb/include/c++/*/bits ; mv * ../../bits )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/doc
/opt/lsb/include/c++


%changelog

